summaryrefslogtreecommitdiffstats
path: root/abs/core/runit-scripts/runitscripts/services/sshd/run
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/runit-scripts/runitscripts/services/sshd/run')
-rwxr-xr-xabs/core/runit-scripts/runitscripts/services/sshd/run13
1 files changed, 13 insertions, 0 deletions
diff --git a/abs/core/runit-scripts/runitscripts/services/sshd/run b/abs/core/runit-scripts/runitscripts/services/sshd/run
new file mode 100755
index 0000000..fc22e3b
--- /dev/null
+++ b/abs/core/runit-scripts/runitscripts/services/sshd/run
@@ -0,0 +1,13 @@
+#!/bin/bash
+exec 2>&1
+export TERM=linux
+. /etc/rc.conf
+. /etc/rc.d/functions
+stat_runit "Starting SSH"
+
+[ -f /etc/ssh/ssh_host_key ] || { /usr/bin/ssh-keygen -t rsa1 -N "" -f /etc/ssh/ssh_host_key >/dev/null; }
+ [ -f /etc/ssh/ssh_host_rsa_key ] || { /usr/bin/ssh-keygen -t rsa -N "" -f /etc/ssh/ssh_host_rsa_key >/dev/null; }
+ [ -f /etc/ssh/ssh_host_dsa_key ] || { /usr/bin/ssh-keygen -t dsa -N "" -f /etc/ssh/ssh_host_dsa_key >/dev/null; }
+
+
+exec /usr/sbin/sshd -D >/dev/null 2>/dev/null